Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 564174 - sys-libs/binutils-libs-2.25.1-r2 and sys-devel/binutils-config-5-r2 stable request
Summary: sys-libs/binutils-libs-2.25.1-r2 and sys-devel/binutils-config-5-r2 stable re...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Toolchain Maintainers
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 562060 562460 563934 564350 574974 578528
Blocks: 564402 575380
  Show dependency tree
 
Reported: 2015-10-26 12:10 UTC by Pacho Ramos
Modified: 2016-04-03 00:56 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2015-10-26 12:10:34 UTC
A month have passed without issues and this will let other stable packages to also rely on this sooner 

Thanks
Comment 1 SpanKY gentoo-dev 2015-10-27 01:55:56 UTC
err, no, this can't be stabilized anytime soon :)
Comment 2 Matt Turner gentoo-dev 2015-11-25 17:11:05 UTC
llvm-3.7.0 (which we want to stabilize) depends on binutils-libs. It's been another month -- can we stabilize now? I'm guessing no, since the bugs you linked are still open.
Comment 3 Matt Turner gentoo-dev 2016-02-15 16:28:35 UTC
(In reply to Matt Turner from comment #2)
> llvm-3.7.0 (which we want to stabilize) depends on binutils-libs. It's been
> another month -- can we stabilize now? I'm guessing no, since the bugs you
> linked are still open.

Maybe now? The radeon driver has dropped support for LLVM 3.5 and the branch for the next Mesa release is being made this Friday.

commit 100796c15c3a1467d03abc424e6f1494da02f376
Author: Marek Olšák <marek.olsak@amd.com>
Date:   Wed Feb 10 21:48:59 2016 +0100

    gallium/radeon: drop support for LLVM 3.5

Moreover, being a few releases behind LLVM is bad because the people developing the drivers using it aren't using (or often testing) old releases of LLVM -- but we're still not offering anything newer in stable.

Can we please stabilize this, so that llvm-3.7 can be stabilized, so I can avoid a disaster when it's time to stabilize the next version of Mesa?
Comment 4 SpanKY gentoo-dev 2016-02-15 17:10:45 UTC
i think we have a handle now on the failures w/newer binutils, and it should be restricted to just a few packages.  so we can stabilize these versions now.
Comment 5 Jeroen Roovers gentoo-dev 2016-02-17 14:45:12 UTC
Calculating dependencies... done!
[ebuild     U ~] sys-devel/binutils-config-5-r2::gentoo [4-r2::gentoo] 0 KiB
[ebuild  N    ~] sys-libs/binutils-libs-2.25.1-r2:0/2.25.1::gentoo  USE="multitarget nls zlib -64-bit-bfd -static-libs" 0 KiB
[blocks B      ] <app-admin/eselect-1.4.5 ("<app-admin/eselect-1.4.5" is blocking sys-devel/binutils-config-5-r2)
Comment 6 SpanKY gentoo-dev 2016-02-17 16:11:39 UTC
(In reply to Jeroen Roovers from comment #5)

moved eselect request to bug 574974
Comment 7 Agostino Sarubbo gentoo-dev 2016-03-15 11:26:33 UTC
amd64 stable
Comment 8 Markus Meier gentoo-dev 2016-03-24 05:58:02 UTC
arm stable
Comment 9 SpanKY gentoo-dev 2016-04-03 00:56:37 UTC
i've done the rest now